StarObjectSmallGraphicInternal::SCHUGraphic Class Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
StarObjectSmallGraphicInternal::SCHUGraphic Class Referencefinal

Internal: virtual class to store a SCHU graphic. More...

Inheritance diagram for StarObjectSmallGraphicInternal::SCHUGraphic:

## Public Member Functions
| SCHUGraphic (int id)
| constructor More...
| ~SCHUGraphic () final
| destructor More...
std::string | getName () const final
| return the object name More...
std::string | print () const final
| basic print function More...
bool | send (STOFFListenerPtr &listener, STOFFFrameStyle const &pos, StarObject &object, bool inMasterPage) final
| try to send the graphic to the listener More...
Public Member Functions inherited from StarObjectSmallGraphicInternal::SDRUserData
| SDRUserData (int id=-1)
std::string | getName () const override
| return the object name More...
std::string | print () const override
| basic print function More...
Public Member Functions inherited from StarObjectSmallGraphicInternal::Graphic
| Graphic (int id)
| constructor More...
virtual | ~Graphic ()
| destructor More...
virtual std::string | print () const
| basic print function More...
virtual std::string | getName () const =0
| return the object name More...
virtual bool | send (STOFFListenerPtr &, STOFFFrameStyle const &, StarObject &, bool)
| try to send the graphic to the listener More...

## Public Attributes
int | m_id
| the id More...
int | m_adjust
| the adjust data More...
int | m_orientation
| the orientation More...
int | m_column
| the column More...
int | m_row
| the row More...
double | m_factor
| the factor More...
std::shared_ptr< SdrGraphicGroup > | m_group
| the group node More...
Public Attributes inherited from StarObjectSmallGraphicInternal::Graphic
int | m_identifier
| the type More...

## Friends
std::ostream & | operator<< (std::ostream &o, SCHUGraphic const &graph)
| print object data More...

## Detailed Description

Internal: virtual class to store a SCHU graphic.

## Constructor & Destructor Documentation

## ◆ SCHUGraphic()

StarObjectSmallGraphicInternal::SCHUGraphic::SCHUGraphic | ( | int | id | ) |
| inlineexplicit

constructor

## ◆ ~SCHUGraphic()

StarObjectSmallGraphicInternal::SCHUGraphic::~SCHUGraphic | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ getName()

std::string StarObjectSmallGraphicInternal::SCHUGraphic::getName | ( |  | ) | const
| inlinefinalvirtual

return the object name

Reimplemented from StarObjectSmallGraphicInternal::SDRUserData.

## ◆ print()

std::string StarObjectSmallGraphicInternal::SCHUGraphic::print | ( |  | ) | const
| inlinefinalvirtual

basic print function

Reimplemented from StarObjectSmallGraphicInternal::SDRUserData.

## ◆ send()

bool StarObjectSmallGraphicInternal::SCHUGraphic::send | ( | STOFFListenerPtr & | listener,
|  | STOFFFrameStyle const & | pos,
|  | StarObject & | object,
|  | bool | inMasterPage
| ) |  |
| inlinefinalvirtual

try to send the graphic to the listener

Reimplemented from StarObjectSmallGraphicInternal::Graphic.

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | SCHUGraphic const & | graph
| ) |  |
| friend

print object data

## Member Data Documentation

## ◆ m_adjust

int StarObjectSmallGraphicInternal::SCHUGraphic::m_adjust

the adjust data

## ◆ m_column

int StarObjectSmallGraphicInternal::SCHUGraphic::m_column

the column

## ◆ m_factor

double StarObjectSmallGraphicInternal::SCHUGraphic::m_factor

the factor

## ◆ m_group

std::shared_ptr<SdrGraphicGroup> StarObjectSmallGraphicInternal::SCHUGraphic::m_group

the group node

Referenced by send().

## ◆ m_id

int StarObjectSmallGraphicInternal::SCHUGraphic::m_id

the id

## ◆ m_orientation

int StarObjectSmallGraphicInternal::SCHUGraphic::m_orientation

the orientation

## ◆ m_row

int StarObjectSmallGraphicInternal::SCHUGraphic::m_row

the row

The documentation for this class was generated from the following file:

- StarObjectSmallGraphic.cxx